#!/usr/bin/perl

use Getopt::Long;

$wydzial='X';

GetOptions( "w=s" => \$wydzial,) ;

if ($wydzial =~ /e/) {$wydzial = 'ekonomiczny'}
else { $wydzial = 'nauk o zdrowiu'}

print '
<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"> <html xmlns="http://www.w3.org/1999/xhtml">
<head> <meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title xml:lang="pl">PSW</title>
</head>
<body xml:lang="pl" style="font-family: sans; background-color: white">';

print "<h2 style='color: white; background-color: #000000; '>Ocena zajęć (wydział $wydzial)</h2>" . "\n";

print '<h3 style="color: white; background-color: #000000; ">Kryteria oceny</h3>' . "\n";

print '<p>Jakość zajęć jest oceniana wg następujących kryteriów: <strong>o1</strong> -- Sposób przedstawienia treści zajęć; 
<strong>o2</strong> -- Wykorzystanie czasu zajęć; <strong>o3</strong> -- Przedstawienie warunków uzyskania
zaliczenia; <strong>o4</strong> -- Kompetencje merytoryczne wykładowcy do prowadzenia
zajęć; <strong>o5</strong> -- Postawa wykładowcy wobec studentów; <strong>o6</strong> -- Dostępność
wykładowcy dla studentów; <strong>o7</strong> -- Właściwy dobór zagadnień znacząco
poszerzył moją wiedzę i umiejętności; <strong>o8</strong> -- Sposób prowadzenia zajęć
umożliwiał łączenie własnej wiedzy i doświadczeń z nową wiedzą i
umiejętnościami; <strong>o9</strong> -- Sposób prowadzenia zajęć umożliwiał rozwój
kompetencji społecznych. 
</p>
<!--
<p>
Wykładowca zatem jest oceniany w PSW w trzech aspektach:
<strong>organizacyjnym<strong> (2, 3, 5, 6); <strong>formy/prezentacji</strong> (1, 8, 9) 
oraz <strong>merytorycznym</strong> (4 oraz 7).
</p> -->
Na każde pytanie możliwa było odpowiedź
od bardzo źle do bardzo dobrze (zakodowane jako liczby naturalne 1--5.)
</p>' . "\n";


print '<h3 style="color: white; background-color: #000000; ">Szczegółowe oceny wykładowca/przedmiot</h3>' . "\n";


while (<>) {
  chomp();
  @tmp = split /_/;
  $tit = '';

  for ($t = 5; $t <= $#tmp; $t++) { $tit .= " " . $tmp[$t];   }
  $tit =~ s/\.png//;
  $namex = $tmp[3];
  $namey = $tmp[2];
  $namex =~ s/,//g;
  $namey =~ s/,//g;

  unless ($tmp[2] =~ /wykladowcy/) {
  print "<p><a href='./$_'>$tmp[4] $namex $namey: $tit</a></p>\n";
  }


}

print "<p>(c)PSW</p>\n";
print "<body><html>\n";
